pydo.dedicated_inferences.list()

Generated on 3 Aug 2026 from pydo version v0.40.0

Usage

client.dedicated_inferences.list(
    per_page=20,
    page=1,
    region=None,
)
Returns JSONRaises HttpResponseError

Description

List all Dedicated Inference instances for your team. Send a GET request to /v2/dedicated-inferences. You may filter by region and use page and per_page for pagination.

Parameters

per_page integer optional

Number of items returned per page

Min: 1

Max: 200

Default: 20

page integer optional

Which 'page' of paginated results to return.

Min: 1

Default: 1

region string optional

Filter by region. Dedicated Inference is only available in nyc2, tor1, and atl1.

One of: nyc2, tor1, atl1

Pagination

This method returns paginated results. The response includes a links.pages object with URLs for navigating between pages. To retrieve the next page, parse the next URL and pass the page parameter:

from urllib.parse import urlparse, parse_qs

resp = client.dedicated_inferences.list()
pages = resp.get("links", {}).get("pages", {})

while "next" in pages:
    parsed = urlparse(pages["next"])
    page = int(parse_qs(parsed.query)["page"][0])
    resp = client.dedicated_inferences.list(page=page)
    pages = resp.get("links", {}).get("pages", {})

Response Example

Show Response Example
{
  "dedicated_inferences": [
    {
      "id": "6b5c619c-359c-44ca-87e2-47e98170c01d",
      "status": "active",
      "region": "atl1",
      "vpc_uuid": "997615ce-132d-4bae-9270-9ee21b395e5d",
      "endpoints": {
        "public_endpoint_fqdn": "https://b4bfug4jc41kts2ro54if91eo-public-dedicated-inference.do-infra.ai",
        "private_endpoint_fqdn": "https://b4bfug4jc41kts2ro54if91eo-private-dedicated-inference.do-infra.ai"
      },
      "created_at": "2024-01-09T20:44:32Z",
      "updated_at": "2024-01-09T20:44:32Z"
    }
  ],
  "links": {
    "pages": {
      "first": "https://api.digitalocean.com/v2/dedicated-inferences?page=1&per_page=20",
      "last": "https://api.digitalocean.com/v2/dedicated-inferences?page=1&per_page=20"
    }
  },
  "meta": {
    "total": 1
  }
}

More Information

See /v2/dedicated-inferences in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.